Bug 627088 - Review Request: fontik - A Configuration Tool for Font-wise, User-set Fontconfig Rules
Summary: Review Request: fontik - A Configuration Tool for Font-wise, User-set Fontcon...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 03:47 UTC by Daiki Ueno
Modified: 2010-09-09 01:15 UTC (History)
4 users (show)

Fixed In Version: fontik-0-0.2.20100825git8e8cea81d.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 04:38:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2010-08-25 03:47:16 UTC
Spec URL: http://ueno.fedorapeople.org/fontik/fontik.spec
SRPM URL: http://ueno.fedorapeople.org/fontik/fontik-0-0.1.20100825git8e8cea81d.fc13.src.rpm
Description:
Fontik is basically intended to tweak and configure some properties of
fonts. These settings are usually set system-wide while installing the
fonts. The power of fontconfig is thus limited when it comes to the
user. The user can definitely override or enhance these settings, but
for that, he has to manually edit the ~/.fonts.conf each and every
time. I haven't come across any GUI tool that performs these tasks
with ease. This is an attempt on it.

Comment 1 Parag AN(पराग) 2010-08-26 08:54:26 UTC
Review:
+ package builds in koji (f15).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2425292
+ rpmlint output for SRPM and for RPM.
fontik.src: W: spelling-error %description -l en_US fontconfig -> configure, configurative, configuration
fontik.src: W: no-buildroot-tag
fontik.src: W: invalid-url Source0: fontik-8e8cea81d.tar.gz
fontik.x86_64: W: spelling-error %description -l en_US fontconfig -> configure, configurative, configuration
fontik.x86_64: W: no-manual-page-for-binary fontik
==> All can ne ignored.
+ source files match upstream source
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ package installed properly.
- Macro use appears rather consistent.
+ Package contains code, not content.
+ no .pc file present.
+ no -devel subpackage
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate

Suggestions:
1) You don't need last 2 sentences in %description. Remove following
" I haven't come across any GUI tool that performs these tasks
with ease. This is an attempt on it."

2) replace /usr with %{_prefix} in make install command. And use everywhere either $RPM_BUILD_ROOT or %{buildroot}

3) If package is needed only for F-13 and above then you can do following in spec
   a) %clean not needed
   b) cleaning of buildroot at start of %install also not needed


APPROVED.

Comment 2 Daiki Ueno 2010-08-26 09:16:07 UTC
Thanks for the review, Parag.

New Package SCM Request
=======================
Package Name: fontik
Short Description: A Configuration Tool for Font-wise, User-set Fontconfig Rules
Owners: ueno
Branches: f14 f13
InitialCC: i18n-team

Comment 3 Kevin Fenzi 2010-08-29 19:02:58 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2010-08-30 01:19:55 UTC
fontik-0-0.2.20100825git8e8cea81d.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fontik-0-0.2.20100825git8e8cea81d.fc14

Comment 5 Fedora Update System 2010-08-30 01:20:00 UTC
fontik-0-0.2.20100825git8e8cea81d.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fontik-0-0.2.20100825git8e8cea81d.fc13

Comment 7 Daiki Ueno 2010-08-30 01:53:26 UTC
(In reply to comment #6)
> Please use single style of macro
> See
> http://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

Aha.  Just done in Git.

Comment 8 Fedora Update System 2010-08-30 19:43:02 UTC
fontik-0-0.2.20100825git8e8cea81d.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fontik'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fontik-0-0.2.20100825git8e8cea81d.fc14

Comment 9 Fedora Update System 2010-09-08 04:37:58 UTC
fontik-0-0.2.20100825git8e8cea81d.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-09 01:15:37 UTC
fontik-0-0.2.20100825git8e8cea81d.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.